<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddExtrasToProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        
        Schema::table('products', function (Blueprint $table) {
            $table->double('precio_renta', 12, 2)->nullable();
            $table->string('tipo_moneda_renta', 455)->nullable();
            $table->string('precio_renta_tiene_oferta')->nullable();
            $table->double('precio_renta_oferta', 12, 2)->nullable();
            
            $table->double('precio_venta', 12, 2)->nullable();
            $table->string('tipo_moneda_venta', 455)->nullable();
            $table->string('precio_venta_tiene_oferta')->nullable();
            $table->double('precio_venta_oferta', 12, 2)->nullable();

            $table->string('metros_construccion')->nullable();
            $table->string('metros_terreno')->nullable();
            $table->string('metros_frente')->nullable();
            $table->string('metros_fondo')->nullable();

            $table->integer('banos')->nullable();
            $table->integer('medios_banos')->nullable();
            $table->integer('dormitorios')->nullable();
            $table->string('edad')->nullable();

            $table->integer('asesor_id')->unsigned()->nullable();
            //$table->foreign('asesor_id')
            //    ->references('id')
            //    ->on('asesores')
            //    ->onDelete('cascade');
        });
        
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('products', function (Blueprint $table) {
            //$table->dropForeign(['asesor_id']);
            $table->dropColumn([
                'precio_renta', 'tipo_moneda_renta', 
                'precio_renta_tiene_oferta', 'precio_renta_oferta', 
                'precio_venta', 'tipo_moneda_venta',
                'precio_venta_tiene_oferta', 'precio_venta_oferta',
                'metros_construccion', 'metros_terreno',
                'metros_frente', 'metros_fondo',
                'banos', 'medios_banos', 'dormitorios', 'edad',
                'asesor_id'

            ]);
        });
    }
}
