<?php

namespace Onestartup\ProductPrimerPlano\Model;

use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    protected $table = 'products';
    protected $fillable = [
    	'name',
		'slug',
		'description',
		'specifications',
		'features',
		'active',
        'publication_date',
		'category_id',
        'subcategory_id',
        'cover',
        'extra1',
        'extra2',
        'extra3',
        'extra4',
        'extra5',
        'extra6',
        'extra7',
        'extra8',
        'extra9',
        'extra10',
        'extra11',

        'precio_renta',
        'tipo_moneda_renta',
        'precio_renta_tiene_oferta',
        'precio_renta_oferta',
        'precio_venta',
        'tipo_moneda_venta',
        'precio_renta_tiene_oferta',
        'precio_venta_oferta',
        'metros_construccion',
        'metros_terreno',
        'metros_frente',
        'metros_fondo',
        'banos',
        'medios_banos',
        'dormitorios',
        'edad',
        'asesor_id',

        'pais', 
        'estado', 
        'municipio', 
        'colonia', 
        'codigo_postal', 
        'calle', 
        'direccion', 
        'latitud', 
        'longitud', 
        'zoom'

    ];

    public function category()
    {
        return $this->belongsTo('Onestartup\ProductPrimerPlano\Model\ProductCategory', 'category_id');
    }

    public function subcategory()
    {
        return $this->belongsTo('Onestartup\ProductPrimerPlano\Model\ProductSubCategory', 'subcategory_id');
    }

    public function user()
    {
        return $this->belongsTo('App\User', 'user_id');
    }

    public function images()
    {
        return $this->hasMany('Onestartup\ProductPrimerPlano\Model\ProductImage', 'product_id');
    }
}
