<?php

namespace Onestartup\ProductPrimerPlano\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RequestProduct extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        if ($this->get("_method") == "PUT" || $this->get("_method") == "PATCH"){
            $slug = 'required|max:455|unique:products,slug,'.$this->route("product");
        }else{   
            $slug = 'required|max:455|unique:products,slug';
        } 
        return [
            'name' => 'required|max:355',
            'slug' => $slug,
            'description'=> 'required',
            'active' => 'required|boolean',
            'publication_date' => 'required',
            'extra1' => 'max:455',
            'extra2' => 'max:455',
            'extra3' => 'max:455',
            'extra4' => 'max:455',
            'extra5' => 'max:455',
            'extra6' => 'max:455',
            'extra7' => 'max:455',
            'extra8' => 'max:455',
            'extra9' => 'max:455',
            'extra10' => 'max:455',
            'category_id' => 'required|numeric',
            'cover' => 'image'
        ];
    }
}